import type { PlasmoMessaging } from '@plasmohq/messaging';

import { DEFAULT_EXTENSION_DATA } from '~utils/constants';
import { storage } from '~utils/storage';
import type { ExtensionData } from '~utils/types';

const handler: PlasmoMessaging.MessageHandler<never, Response> = async (req, res) => {
  const data = (await storage.get<ExtensionData>('data')) || DEFAULT_EXTENSION_DATA;

  res.send({ data, success: true });
  return;
};

interface Response {
  readonly data?: ExtensionData;
  readonly success: boolean;
}

export default handler;
