import type { PlasmoMessaging } from '@plasmohq/messaging';

import { API_URL } from '~utils/constants';
import { storage } from '~utils/storage';
import type { ExtensionData } from '~utils/types';

const handler: PlasmoMessaging.MessageHandler<never, Response> = async (req, res) => {
  try {
    const response = await fetch(`${API_URL}/data/`);
    const { data } = await response.json();

    if (data) {
      await storage.set('data', data);
      res.send({ data, success: true });
      return;
    }

    res.send({ success: false });
  } catch {
    res.send({ success: false });
  }
};

interface Response {
  readonly data?: ExtensionData;
  readonly success: boolean;
}

export default handler;
