import type { PlasmoMessaging } from '@plasmohq/messaging';

const handler: PlasmoMessaging.MessageHandler<Request, Response> = async (req, res) => {
  const { value } = req.body || {};
  const { frameId, tab } = req.sender || {};

  if (frameId === 0 && tab?.id !== undefined) {
    await chrome.action.setBadgeBackgroundColor({ color: '#6b7280' });
    await chrome.action.setBadgeText({ tabId: tab.id, text: value ? `${value}` : '' });
    res.send({ success: true });
    return;
  }

  res.send({ success: false });
};

interface Request {
  readonly value: number;
}

interface Response {
  readonly success: boolean;
}

export default handler;
