import databaseRefreshHandler from '~background/messages/database/refresh';
import extensionUpdateAvailableHandler from '~background/messages/extension/updateAvailable';
import { noop } from '~utils/error';
import { storage } from '~utils/storage';

export default async function onStartup() {
  await storage.remove('updateAvailable');
  await databaseRefreshHandler({ name: 'database/refresh' }, { send: noop });
  await extensionUpdateAvailableHandler({ name: 'extension/updateAvailable' }, { send: noop });
}
