import { useEffect, useState } from 'react';

export function useTab(): chrome.tabs.Tab | undefined {
  const [tab, setTab] = useState<chrome.tabs.Tab | undefined>(undefined);

  useEffect(() => {
    chrome.tabs.query({ active: true, currentWindow: true }).then((tabs) => setTab(tabs[0]));
  }, []);

  return tab;
}
