export const DOMAIN_REG_EXP = /^(?!-)[A-Za-z0-9]([A-Za-z0-9-]{0,61}[A-Za-z0-9])?(\.[A-Za-z]{2,})+$/;

export function formatDomainFromURL(value: URL): string {
  let result: string = value.hostname;

  if (result.startsWith('www.')) {
    result = result.replace('www.', '');
  }

  return result;
}

export function validateSupport(hostname: string, exclusions: readonly string[]): boolean {
  return !exclusions.some((x) => hostname.match(x.replaceAll(/\*/g, '[^ ]*')));
}
